/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package faseaterra;

/**
 *
 * @author p
 */
public class cmplx{
    private double Re;
    private double Im;
    private double V;
    private double alpha;
    
public cmplx(){}
    
    public cmplx(double Re,double Im){
    this.Re=Re;
    this.Im=Im;
}

public double getRe(){
    return this.Re;
}

public double getIm(){
    return this.Im;
}

public double getV(){
    return this.V;
}

public double getAlpha(){
    return this.alpha;
}



public static cmplx sum3(cmplx E1,cmplx E2,cmplx E3){
    double SRe=E1.getRe()+E2.getRe()+E3.getRe();
    double SIm=E1.getIm()+E2.getIm()+E3.getIm();
    return new cmplx(SRe,SIm);
}

public static cmplx phasor_to_ReIm(double V, double alphaDEG){
    double alphaRAD=alphaDEG*Math.PI/180;
    double Re=Math.round(V*Math.cos(alphaRAD));
    double Im=Math.round(V*Math.sin(alphaRAD));
    return new cmplx(Re,Im);
}

public static cmplx ReIm_to_phasor(double Re,double Im){
     double phasor_V=Math.sqrt((Math.pow(Re, 2)+Math.pow(Im, 2)));
     double phasor_alpha=Math.atan(Im/Re);
     cmplx result=new cmplx();
     result.V=phasor_V;
     result.alpha=phasor_alpha*180/Math.PI;
     result.Re=Re;
     result.Im=Im;
     return result;
}

}

